Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.util
Class ResourceLoader

    java.lang.Object
      org.pdfbox.util.ResourceLoader

public class ResourceLoader
extends Object

This class will handle loading resource files(AFM/CMAP).

Version:
  $Revision: 1.5 $
Author:
  Ben Litchfield (ben@csh.rit.edu)

Method Summary
`static Properties` | `loadProperties(String resourceName)` This will attempt to load the resource given the resource name.
`static Properties` | `loadProperties(String resourceName, Properties defaults)` This will attempt to load the resource given the resource name.
`static InputStream` | `loadResource(String resourceName)` This will attempt to load the resource given the resource name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### loadResource

    public static InputStream loadResource(String resourceName)
                                    throws IOException

  This will attempt to load the resource given the resource name.

  Parameters:
    `resourceName` - The resource to try and load.
  Returns:
    The resource as a stream or null if it could not be found.
  Throws:
    `IOException` - If there is an error while attempting to load the resource.

### loadProperties

    public static Properties loadProperties(String resourceName)
                                     throws IOException

  This will attempt to load the resource given the resource name.

  Parameters:
    `resourceName` - The resource to try and load.
  Returns:
    The resource as a stream or null if it could not be found.
  Throws:
    `IOException` - If there is an error loading the properties.

### loadProperties

    public static Properties loadProperties(String resourceName,
                                            Properties defaults)
                                     throws IOException

  This will attempt to load the resource given the resource name.

  Parameters:
    `resourceName` - The resource to try and load.
    `defaults` - A stream of default properties.
  Returns:
    The resource as a stream or null if it could not be found.
  Throws:
    `IOException` - If there is an error loading the properties.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD